Subject: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: martin rudalics <[email-masked]>
Date: Fri, 16 Nov 2018 09:52:45 +0100

> I don't use the mouse.  Whereas window-local tab-bar showing a list
 > of prev/next-buffers allows using the keyboard to navigate.
 > For example, when the window-local tab-bar shows such tabs:
 >
 > [buffer-2] [buffer-1] [current-buffer] [buffer+1] [buffer+2]
 >
 > Then I know that I can just type `C-2 C-x left' to get to the second
 > previous buffer, or to get the second next buffer with `C-2 C-x right'.

Then we at least facultatively should show that prefix number in the
tab.  In either case you don't necessarily need window-local tabs for
that.  We could have the frame's tabbar show tabs in the order of the
frame's selected window.

martin